# נגן וידאו פרוג - תוסף לכרום

תוסף כרום המאפשר צפייה ישירה בסרטונים מקבצי ZIP בפורום פרוג, ללא צורך בהורדה.

## תכונות עיקריות

- צפייה מקדימה בסרטון בעת ריחוף מעל קישור ZIP
- נגן צף שניתן להזיז ולשנות את גודלו
- תמיכה במסך מלא
- שמירת הגדרות אישיות (מיקום וגודל הנגן)
- שליטה בעזרת המקלדת (חצים להזזת החלון, Space לנגינה/השהייה)
- תמיכה בשינוי גודל מכל פינה או צד של החלון

## מבנה הקבצים

prog-video-player/
├── icons/                  # אייקוני התוסף
│   ├── icon16.png         # אייקון 16x16
│   ├── icon32.png         # אייקון 32x32
│   ├── icon48.png         # אייקון 48x48
│   └── icon128.png        # אייקון 128x128
├── preview.css            # עיצוב תצוגה מקדימה
├── floating-player.css    # עיצוב הנגן הצף
├── background.js         # Service Worker
├── content.js            # לוגיקה ראשית
├── jszip.min.js          # ספריית JSZip
├── player.js             # נגן הווידאו
├── popup.js              # חלון ההגדרות
├── player.html           # דף הנגן
├── popup.html            # דף ההגדרות
├── manifest.json         # הגדרות התוסף
└── README.md             # תיעוד

## התקנה

1. הורד את התוסף
2. פתח את דף התוספים בכרום (`chrome://extensions`)
3. הפעל מצב מפתח
4. לחץ על "טען תוסף שלא ארוז" ובחר בתיקיית התוסף

## שימוש

1. גלוש לפורום פרוג
2. עבור עם העכבר מעל קישור ZIP המכיל סרטון לתצוגה מקדימה
3. לחץ על הקישור לפתיחת הנגן הצף
4. שנה את מיקום וגודל הנגן לפי הצורך
5. התאם את ההגדרות בחלון התוסף

## הגדרות

- תצוגה מקדימה בריחוף עכבר
- מיקום חלון הסרטון (9 מיקומים אפשריים)
- גודל חלון הסרטון (רוחב וגובה)

## קיצורי מקלדת

- **חצים**: הזזת החלון הצף (עם Shift לתזוזה מהירה יותר)
- **Space**: נגן/השהה
- **F**: מסך מלא
- **M**: השתק/בטל השתקה

## דרישות מערכת

- דפדפן Google Chrome גרסה 88 ומעלה
- חיבור אינטרנט פעיל
- הרשאות גישה לאתר prog.co.il
